/profiles/{profile_id}
Retrieve a single profile by its profile ID.
GET /profiles/{profile_id}
GET /profiles/{profile_id}Get a single profile by its profile ID.
Path Parameters
| Name | Description |
|---|---|
profile_idstring |
Code Examples
curl --request GET \
--url https://api.lightcast.io/ca-profiles/profiles/{profile_id} \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": {
"acquired_timestamp": "2020-01-01",
"cd": null,
"cd_name": null,
"city": "QWJjZGVmZ2hpams=",
"city_name": "Toronto, ON",
"cma": null,
"cma_name": null,
"company": "123456789",
"company_name": "Acme Corporation",
"country": null,
"csd": null,
"csd_name": null,
"educations": [
{
"level_name": null,
"field_raw": null,
"grad_year": null,
"level_raw": null,
"school_id": "53bff579e4b04710d09fbd9c",
"school_name": "University of Toronto",
"school_raw": "university of toronto"
},
{
"level_name": null,
"field_raw": "computer science",
"grad_year": null,
"level_raw": "bachelor",
"school_id": "53bff579e4b04710d09fdac8",
"school_name": "Ryerson University",
"school_raw": "ryerson university"
}
],
"id": "1111111111111",
"last_updated": "2024-01-01",
"lot_career_area": "33",
"lot_career_area_name": "Science and Research",
"lot_occupation": "331312",
"lot_occupation_group": "3313",
"lot_occupation_group_name": "General Research",
"lot_occupation_name": "Researcher / Research Associate",
"lot_specialized_occupation": "33131215",
"lot_specialized_occupation_name": "Research Associate (General)",
"naics6": "541511",
"naics6_name": "Custom Computer Programming Services",
"noc5": "21232",
"noc5_name": "Software developers and programmers",
"personal_info": {
"emails": [
"[email protected]"
],
"employment_history": [
{
"company_name_raw": "acme corporation",
"description": null,
"job_end_ym": null,
"job_start_ym": "2020-01",
"title_raw": "Senior Software Developer"
},
{
"company_name_raw": "tech solutions inc",
"description": "Developed and maintained web applications using modern frameworks.",
"job_end_ym": "2020-01",
"job_start_ym": "2018-01",
"title_raw": "Software Developer"
}
],
"job_description": "",
"name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"names": [
"John Doe"
],
"phones": [
"+1 416-555-1234"
],
"profile_urls": [],
"title_raw": "Senior Software Developer"
},
"province": null,
"province_name": null,
"skills": [
"KS440MC61Q7HPDQR5YHT",
"KS127Z65Y2BBKJZ3W2HL",
"KS1200365FTR9X0M96T9",
"KS127ZG6DBSF76WF7VYX",
"KS121YX5XHV5QPYV2TXL",
"KS1200H6XYN1CR0G5NZ0",
"KS1261G6FLXL70JW7G42",
"KS441626TDSV2J6GBB86",
"KS1254Q675CFWDY8PR54",
"KS120BV6SR75RBKQH0G3",
"KS126HY6YLTB9R7XJC4Z",
"KS125ZB6BWF5RY40BH1B",
"KS122556LMQ829GZCCRV",
"KS1282N6NQMZ95M1HJ7L",
"KS123NJ76GJLK91JS75M",
"KS1267F6MSPN366LX7ST"
],
"skills_name": [
"JavaScript",
"Python",
"React",
"Node.js",
"SQL",
"Git",
"Docker",
"AWS",
"RESTful APIs",
"Agile Methodology",
"Test-Driven Development",
"Code Review",
"Microservices",
"CI/CD",
"MongoDB",
"TypeScript"
],
"title": "ETCCFF59C12964DA3C",
"title_name": "Software Developers",
"title_raw": "Senior Software Developer"
}
}// Profile not found
{
"errors": [
{
"status": 404,
"title": "URL not found",
"detail": "Unrecognized facet 'foo'"
}
]
}
